lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'rubySC/version'

Gem::Specification.new do |spec|
  spec.name          = "rubySC"
  spec.version       = RubySC::VERSION
  spec.authors       = ["simdax"]
  spec.email         = ["simoncornaz@gmail.com"]
  spec.summary       = %q{light music live_coding lib}
  spec.description   = %q{simple library to create easily music in ruby. You can consider this lib as an interface for SuperCollider's JTLIB, with extras}
  spec.homepage      = "http://github.com/simdax/rubySC"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]
  
  spec.add_development_dependency "bundler", "~> 1.5"
  spec.add_development_dependency "rake", "~>0"

  spec.add_runtime_dependency "activesupport", "~>4.0"
  spec.add_runtime_dependency "osc-ruby", "~> 1.1"
  spec.add_runtime_dependency "eventmachine", "~> 1"

  spec.add_runtime_dependency "qtbindings", "~>4.8.6.0"

  #spec.extensions["ext/extconf.rb"]

end



